/**
 * 文件名：EncrptUtils.java
 * 描述：加密和比较密文的工具类
 * 包名：cn.com.kmlt.monstarBase.utils.encrpt
 * 作者：WENJQ
 * 创建日期：2016年05月26日
 * 
 */
package com.mgq.base.utils.encrypt;

import java.security.MessageDigest;


public class EncryptUtil {
    private static String key = "this_is_a_key";

    public static String jdkEncrypt(String value) {
        String str = value + key;
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            md.update(str.getBytes());
            byte[] byteDigest = md.digest();
            int i;
            StringBuffer buf = new StringBuffer("");
            for (int offset = 0; offset < byteDigest.length; offset++) {
                i = byteDigest[offset];
                if (i < 0)
                    i += 256;
                if (i < 16)
                    buf.append("0");
                buf.append(Integer.toHexString(i));
            }
            // 32λ
            return buf.toString();
            // 16λļ
            // return buf.toString().substring(8, 24);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

}
